Package proton :: Module reactor :: Class DurableSubscription

[frames] | no frames]

# Class DurableSubscription

source code

    object --+
             |
    LinkOption --+
                 |
    ReceiverOption --+
                     |
                    DurableSubscription

Instance Methods

apply(self, receiver) Subclasses will implement any configuration logic in this method | source code

Inherited from `ReceiverOption`: `test` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### apply(self, receiver)

source code

Subclasses will implement any configuration logic in this method

Overrides: LinkOption.apply
  (inherited documentation)